---
schema_version: "1"
id: 4431a51e98e0a1b8d3193be22fe411bfb9ed70d1e4a7ca6cc170df12f8ec3874
title: GET /interaction/v1/interactions/key:{key}/audit/{action}
collection: developer
version: current
locale: en-us
portal_url: https://docs.salesforce.com/developer/current/en-us/marketing-cloud/guides/mc-apis/getInteractionAuditLogByKey.md
canonical_url: https://developer.salesforce.com/docs/marketing/marketing-cloud/references/mc_rest_interaction/getInteractionAuditLogByKey.html
source_site: developer.salesforce.com
content_type: documentation
content_hash: dd35ff5677c1e7eb74e2dd6c8a1d0fa0b7c553f42a7496e0d02711abcbbfe62c
products:
  - Marketing Cloud Engagement APIs and Programmatic Languages
  - Marketing Cloud
---
# GET /interaction/v1/interactions/key:{key}/audit/{action}

Retrieves an audit log for one or all versions of a journey by specifying its external key. You can specify different actions to see history related to the creation, modification, activation, deactivation, stopping, and deletion of a journey.

## URL Parameters

Specify these parameters in the URL.

| Name     | Type   | Description                                                                                                                                                                                                              |
| -------- | ------ | ------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------ |
| `action` | String | Required. The actions to include in the audit log. Specify `all` to return all actions. Possible values:<ul><li>`all`</li><li>`create`</li><li>`modify`</li><li>`publish`</li><li>`unpublish`</li><li>`delete`</li></ul> |
| `key`    | String | Required. The external key of the journey to retrieve audit logs for. Specify the key in this format `/interactions/key:{key}/audit/{action}`.                                                                           |

## Query Parameters

Use these optional query parameters to further refine the results.

| Name                             | Type    | Description                                                                                                                                                                                                                                                                                                                                       |
| -------------------------------- | ------- | ------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------- |
| `$page`                          | Integer | The page number of results to return. The default value is `1`.                                                                                                                                                                                                                                                                                   |
| `$pageSize`                      | Integer | The number of items to return in a page of results. The default value is `50`. The minimum value is `1` and the maximum is `50`. This value is only honored if the query string also specifies the `$page` parameter.                                                                                                                             |
| `mostRecentVersionOnly`          | Boolean | If `true`, the response includes an audit log for the most recent version of the journey. Don't specify this parameter if you specify the `versionNumber` parameter or if `mostRecentVersionOrRunningOnly` is `true`.                                                                                                                             |
| `mostRecentVersionOrRunningOnly` | Boolean | If `true`, the response includes an audit log for the running version of the journey and the next draft version, if one exists. Don't specify this parameter if you specify the `versionNumber` parameter or if `mostRecentVersionOnly` is `true`.                                                                                                |
| `status`                         | String  | A journey status value to filter the results by. Possible values are:<ul><li>`Deleted`</li><li>`Draft`</li><li>`None`</li><li>`Paused`</li><li>`Pausing`</li><li>`Published`</li><li>`Resuming`</li><li>`ScheduledToPublish`</li><li>`ScheduledToSend`</li><li>`ScheduledToStop`</li><li>`Sent`</li><li>`Stopped`</li><li>`Unpublished`</li></ul> |
| `versionNumber`                  | Integer | The version number of the journey to retrieve audit logs for. If you don't specify this parameter, the response includes audit logs for all versions of the journey.                                                                                                                                                                              |

## Usage

To retrieve audit logs, determine which type of action you want to view. This example returns all actions for version 2 of the specified journey.

```
Host: https://YOUR_SUBDOMAIN.rest.marketingcloudapis.com
GET /interaction/v1/interactions/key:YOUR_JOURNEY_KEY/audit/all?versionNumber=2
Content-Type: application/json
Authorization: Bearer YOUR_ACCESS_TOKEN
```

The response is a log that includes these elements:

- The current page number of results.
- The number of items returned in each page of results.
- The total number of items that meet the request parameters.
- An `Items` array. The array includes an object for each action. All objects in the array include these elements:
  - The ID, key, name, and description of the journey
  - The original definition ID
  - The date and time when the action occurred
  - The name and ID of the user who performed the action

This example shows an `Items` array that contains `Create`, `Modify`, `Publish`, and `Stop` actions.

```json
{
  "Page": 1,
  "PageSize": 50,
  "Count": 5,
  "Items": [
    {
      "action": "Create",
      "key": "some-journey-key",
      "versionNumber": 2,
      "id": "a1b2c3d4-e5f6-7890-abcd-ef1234567890",
      "originalDefinitionId": "b2c3d4e5-f6g7-8901-bcde-f23456789012",
      "name": "Complete journey",
      "description": "This journey contains a trigger, goal and activities",
      "timeStamp": "2025-10-30T11:49:55.99",
      "user": {
        "name": "Test User 1",
        "UserId": 1234
      },
      "executionMode": "Production",
      "sourceInteraction": {
        "id": "c3d4e5f6-g7h8-9012-cdef-345678901234",
        "version": 3,
        "key": "My journey"
      }
    },
    {
      "action": "Modify",
      "key": "some-journey-key",
      "versionNumber": 2,
      "id": "d4e5f6g7-h8i9-0123-def0-456789012345",
      "originalDefinitionId": "e5f6g7h8-i9j0-1234-ef01-567890123456",
      "name": "Complete journey",
      "description": "This journey contains a trigger, goal and activities",
      "timeStamp": "2025-10-30T11:49:55.99",
      "user": {
        "name": "Test User 1",
        "UserId": 1234
      },
      "executionMode": "Production"
    },
    {
      "action": "Publish",
      "key": "some-journey-key",
      "versionNumber": 2,
      "id": "f6g7h8i9-j0k1-2345-f012-678901234567",
      "originalDefinitionId": "g7h8i9j0-k1l2-3456-0123-789012345678",
      "name": "Complete journey",
      "description": "This journey contains a trigger, goal and activities",
      "timeStamp": "2025-10-30T11:49:55.99",
      "user": {
        "name": "Test User 2",
        "userId": 5678
      },
      "executionMode": "Production",
      "publishStatus": "Error",
      "PublishRequestId": "h8i9j0k1-l2m3-4567-1234-890123456789",
      "errors": [
        {
          "ErrorDetail": "An activity must be created and configured before activation can be successful",
          "ErrorCode": "VALIDATE_GENERAL_EXCEPTION"
        },
        {
          "ErrorDetail": "An entry event must be configured before activation can be successful",
          "ErrorCode": "VALIDATE_GENERAL_EXCEPTION"
        }
      ]
    },
    {
      "action": "Publish",
      "key": "some-journey-key",
      "versionNumber": 2,
      "id": "i9j0k1l2-m3n4-5678-2345-901234567890",
      "originalDefinitionId": "j0k1l2m3-n4o5-6789-3456-012345678901",
      "name": "Complete journey",
      "description": "This journey contains a trigger, goal and activities",
      "timeStamp": "2025-10-30T11:49:55.99",
      "user": {
        "name": "Test User 2",
        "userId": 5678
      },
      "executionMode": "Production",
      "publishStatus": "PublishCompleted",
      "publishRequestId": "k1l2m3n4-o5p6-7890-4567-123456789012"
    },
    {
      "action": "Stop",
      "key": "some-journey-key",
      "versionNumber": 2,
      "id": "l2m3n4o5-p6q7-8901-4567-234567890123",
      "originalDefinitionId": "m3n4o5p6-q7r8-9012-5678-345678901234",
      "name": "Complete journey",
      "description": "This journey contains a trigger, goal and activities",
      "timeStamp": "2025-10-30T11:49:55.99",
      "user": {
        "name": "Test User 1",
        "userId": 1234
      },
      "ContactsEjected": 20
    }
  ]
}
```

## See Also

- [Get Journey Audit Logs by ID](https://developer.salesforce.com/docs/marketing/marketing-cloud/references/mc_rest_interaction/getInteractionAuditLog.md)
